com.taosdata.jdbc.ws.tmq.meta

## Enum AlterType

- java.lang.Object
- - java.lang.Enum<AlterType>
  - - com.taosdata.jdbc.ws.tmq.meta.AlterType

All Implemented Interfaces:
  Serializable, Comparable<AlterType>

    public enum AlterType
    extends Enum<AlterType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD_COLUMN`
`ADD_TAG`
`DROP_COLUMN`
`DROP_TAG`
`MODIFY_COLUMN_LENGTH`
`MODIFY_TABLE_OPTION`
`MODIFY_TAG_LENGTH`
`RENAME_COLUMN_NAME`
`RENAME_TAG_NAME`
`SET_TAG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()`
`static AlterType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AlterType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD_TAG

    public static final AlterType ADD_TAG

#### DROP_TAG

    public static final AlterType DROP_TAG

#### RENAME_TAG_NAME

    public static final AlterType RENAME_TAG_NAME

#### SET_TAG

    public static final AlterType SET_TAG

#### ADD_COLUMN

    public static final AlterType ADD_COLUMN

#### DROP_COLUMN

    public static final AlterType DROP_COLUMN

#### MODIFY_COLUMN_LENGTH

    public static final AlterType MODIFY_COLUMN_LENGTH

#### MODIFY_TAG_LENGTH

    public static final AlterType MODIFY_TAG_LENGTH

#### MODIFY_TABLE_OPTION

    public static final AlterType MODIFY_TABLE_OPTION

#### RENAME_COLUMN_NAME

    public static final AlterType RENAME_COLUMN_NAME

### Method Detail

#### values

    public static AlterType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AlterType c : AlterType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AlterType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()